/*
 * Copyright (c) 2006-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution  and  use  in  source  and binary  forms,  with  or  without
 * modification, are permitted provided that the following conditions are met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice and this list of conditions.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice and  this list of  conditions in the  documentation and/or
 *      other materials provided with the distribution.
 *
 * THE SOFTWARE  IS PROVIDED "AS IS"  AND THE AUTHOR  DISCLAIMS ALL WARRANTIES
 * WITH  REGARD   TO  THIS  SOFTWARE  INCLUDING  ALL   IMPLIED  WARRANTIES  OF
 * MERCHANTABILITY AND  FITNESS.  IN NO EVENT  SHALL THE AUTHOR  BE LIABLE FOR
 * ANY  SPECIAL, DIRECT,  INDIRECT, OR  CONSEQUENTIAL DAMAGES  OR  ANY DAMAGES
 * WHATSOEVER  RESULTING FROM  LOSS OF  USE, DATA  OR PROFITS,  WHETHER  IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR  OTHER TORTIOUS ACTION, ARISING OUT OF OR
 * IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*--------------------------------------------------------------------
                         -- C N R S --
         Laboratoire d'automatique et d'analyse des systemes
            Groupe Robotique et Intelligenxce Artificielle
                   7 Avenue du colonel Roche
                     31 077 Toulouse Cedex

  Fichier              : tPConst.h
  Fonction             : Constants definition for Trajectory Planning 
  Date de creation     : Aout 2005      
  Date de modification : Aout 2005
  Nb de lignes         : 28

  Auteur               : Ignacio HERRERA AGUILAR

----------------------------------------------------------------------*/

#define SAMPLING_TIME            0.010  // CAUTION Pay attention to the Motion task period */
#define S_T                      10
#define S_TD                     1000
#define NB_TICK_SEC              100

#define DISTANCE_TOLERANCE       0.01
#define DISTANCE_TOLERANCE_LINEAR       0.01
#define DISTANCE_TOLERANCE_ANGULAR       0.03


#define DISTANCE_POSITION        0.01

#define ACCELERATION_ZERO    0.0001

#define SWEET_STOP_SOIL 0.001
