/*
 * Copyright (c) 2006-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution  and  use  in  source  and binary  forms,  with  or  without
 * modification, are permitted provided that the following conditions are met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice and this list of conditions.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice and  this list of  conditions in the  documentation and/or
 *      other materials provided with the distribution.
 *
 * THE SOFTWARE  IS PROVIDED "AS IS"  AND THE AUTHOR  DISCLAIMS ALL WARRANTIES
 * WITH  REGARD   TO  THIS  SOFTWARE  INCLUDING  ALL   IMPLIED  WARRANTIES  OF
 * MERCHANTABILITY AND  FITNESS.  IN NO EVENT  SHALL THE AUTHOR  BE LIABLE FOR
 * ANY  SPECIAL, DIRECT,  INDIRECT, OR  CONSEQUENTIAL DAMAGES  OR  ANY DAMAGES
 * WHATSOEVER  RESULTING FROM  LOSS OF  USE, DATA  OR PROFITS,  WHETHER  IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR  OTHER TORTIOUS ACTION, ARISING OUT OF OR
 * IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*----------------------------------------------------------------------------------------
                         -- C N R S --
         Laboratoire d'automatique et d'analyse des systemes
            Groupe Robotique et Intelligenxce Artificielle
                   7 Avenue du colonel Roche
                     31 077 Toulouse Cedex

  Fichier              : tpFunctions.h
  Fonction             : Functions Definition for Trajectory Planning 
  Date de creation     : Aout 2005      
  Date de modification : Aout 2005
  Nb de lignes         : 35

  Auteur               : Ignacio HERRERA AGUILAR

------------------------------------------------------------------------------------------*/

#include "tpStruct.h"

TP_STATUS tpSelectTime (dmat VR_Times, double *TimeSelect);
TP_STATUS tpSamplingAdjustTime(double Time, double *aTime);
TP_STATUS tpVerifyTimes(double dist_error, double GoalDistance, TP_JERKS Jerks, TP_COND IC, int Dir, TP_TIMES T, TP_COND *FC, TP_TIMES *Acc, TP_TIMES *Vel, TP_TIMES *Pos, TP_SELECT msgError);
TP_STATUS tpJerkProfile(double Dist, double Jmax, double Amax, double Vmax, double *Tj, double *Tac, double *Tvc, double *TimeL);
TP_STATUS tpGetMonotonicTimes(TP_TIMES T,TP_TIMES *TM, int *NOE);
TP_STATUS tpBuildVectorsSD(int Dir, TP_LIMITS Limits, TP_JERKS Jerks, TP_COND IC, TP_TIMES TM, TP_TIMES Acc, TP_TIMES Vel, TP_TIMES Pos, TP_VROW *Acc_V, TP_VROW *Vel_V, TP_VROW *Pos_V, int kBase);
TP_STATUS tpJerkProfileVectors(double GD,TP_COND IC, TP_TIMES T, TP_TIMES TM, int Dir, TP_LIMITS Limits, TP_VROW *VR_Acc, TP_VROW *VR_Vel, TP_VROW *VR_Pos,int kBase);
TP_STATUS tpJerkProfileAdjusted(double GD,TP_COND IC, TP_TIMES T, TP_TIMES TM, int Dir, TP_LIMITS Limits, TP_JERKS* Jmax, TP_TIMES* Acc, TP_TIMES* Vel, TP_TIMES* Pos);
TP_STATUS tpGetNumberOfElement (TP_TIMES* TM, TP_TIMES* TNE);
TP_STATUS tpStopPosition(TP_COND IC, TP_LIMITS Limits, double *StopPos, TP_TIMES *T);
TP_STATUS tpJerkProfileESD(double GD, TP_LIMITS Limits, TP_COND IC, int Dir, TP_TIMES *T);
TP_STATUS tpJerkProfileEChD(double GD, TP_LIMITS Limits, TP_COND IC, int Dir, TP_TIMES *T);
TP_STATUS tpJerksPESD(double GD, TP_COND IC, TP_TIMES T, int Dir, TP_LIMITS Limits, double TotalTime, TP_VROW *Acc, TP_VROW *Vel, TP_VROW *Pos, int kBase, dmat Js);
TP_STATUS tpJerksPEStr(double GD, TP_COND IC, TP_TIMES T, int Dir, TP_LIMITS Limits, double TotalTime, TP_VROW *Acc, TP_VROW *Vel, TP_VROW *Pos, int kBase, dmat Js);
TP_STATUS tpJerksPEChD(double GD, TP_COND IC, TP_TIMES T1, TP_TIMES T2, int Dir, TP_LIMITS Limits, double TotalTime, TP_VROW *Acc, TP_VROW *Vel, TP_VROW *Pos, int kBase, dmat Js);
TP_STATUS tpJerksPEStp(double GD, TP_COND IC, TP_TIMES T, int Dir, TP_LIMITS Limits, double TotalTime, TP_VROW *Acc, TP_VROW *Vel, TP_VROW *Pos,int kBase);

